Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ElementDeserializer

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.encoding.DeserializerImpl
                        |
                        +--org.apache.axis.encoding.ser.ElementDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class ElementDeserializer
extends DeserializerImpl

Deserializer for DOM elements

Author:
  Glen Daniels (gdaniels@macromedia.com) Modified by @author Rich scheuerle
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESERIALIZE_CURRENT_ELEMENT`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`ElementDeserializer()`

Method Summary
`void` | `onEndElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)` onEndElement is called by endElement.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onStartChild, onStartElement, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### DESERIALIZE_CURRENT_ELEMENT

    public static final java.lang.String DESERIALIZE_CURRENT_ELEMENT

Constructor Detail

### ElementDeserializer

    public ElementDeserializer()

Method Detail

### onEndElement

    public final void onEndElement(java.lang.String namespace,
                                   java.lang.String localName,
                                   DeserializationContext context)
                            throws org.xml.sax.SAXException

  Description copied from class: `DeserializerImpl`
  onEndElement is called by endElement. It is not called if the element has an href.
  Overrides:
    `onEndElement` in class `DeserializerImpl`
  Following copied from class: `org.apache.axis.encoding.DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the child element
    `localName` - is the local name of the child element
    `context` - is the deserialization context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.